# Google Mirror API . locations

## Instance Methods

Gets a single location by ID.

Retrieves a list of locations for the user.

### Method Details

`get(id)`

    Gets a single location by ID.

    Args:
      id: string, The ID of the location or latest for the last known location. (required)

    Returns:
      An object of the form:

        { # A geographic location that can be associated with a timeline item.
        "kind": "mirror#location", # The type of resource. This is always mirror#location.
        "displayName": "A String", # The name to be displayed. This may be a business name or a user-defined place, such as "Home".
        "timestamp": "A String", # The time at which this location was captured, formatted according to RFC 3339.
        "longitude": 3.14, # The longitude, in degrees.
        "address": "A String", # The full address of the location.
        "latitude": 3.14, # The latitude, in degrees.
        "id": "A String", # The ID of the location.
        "accuracy": 3.14, # The accuracy of the location fix in meters.
      }

`list()`

    Retrieves a list of locations for the user.

    Args:

    Returns:
      An object of the form:

        { # A list of Locations. This is the response from the server to GET requests on the locations collection.
        "items": [ # The list of locations.
          { # A geographic location that can be associated with a timeline item.
            "kind": "mirror#location", # The type of resource. This is always mirror#location.
            "displayName": "A String", # The name to be displayed. This may be a business name or a user-defined place, such as "Home".
            "timestamp": "A String", # The time at which this location was captured, formatted according to RFC 3339.
            "longitude": 3.14, # The longitude, in degrees.
            "address": "A String", # The full address of the location.
            "latitude": 3.14, # The latitude, in degrees.
            "id": "A String", # The ID of the location.
            "accuracy": 3.14, # The accuracy of the location fix in meters.
          },
        ],
        "kind": "mirror#locationsList", # The type of resource. This is always mirror#locationsList.
      }